//
//  NodeCross.hpp
//  node_parent
//
//  Created by Reza Ghobadinic on 2019-03-18.
//

#ifndef NodeBox_hpp
#define NodeBox_hpp

#include "cocos2d.h"

using namespace cocos2d;

class NodeBox : public Node
{
    bool  m_isDrawn;            // Make sure to draw once
    float m_rotateAngle;        // Rotation angle value
    float m_rotateDirection;    // Rotation direction
    float m_scaleDelta;         // Scale value
    float m_scaleDirection;     // Scale direction
    int   m_childKillerCounter; // Tag ID for killing the child
    
public:
    
    static Node* createNode();
    
    virtual bool init();
    virtual void update(float delta);
    virtual void draw(Renderer* renderer, const Mat4& transform, uint32_t flags);
    
    void reverseDirection(float delta);
    void killNextChild(float delta);
    
    CREATE_FUNC(NodeBox);
};

#endif /* NodeBox_hpp */
